1. 3 History Dataset
ElaneGlobal
  • 1 AIS Dataset
    • 1.1 Vessel Position
      • 1.1.1 Single Vessel Position
      • 1.1.2 Multi-vessel Position
      • 1.1.3 Fleet Position
    • 1.2 Vessel Search
      GET
    • 1.3 Vessels Nearby
      GET
    • 1.4 Vessels in Zone
      GET
    • 1.5 Vessel Flag Information
      GET
  • 2 Voyage Dataset
    • 2.1 Port Information
      GET
    • 2.2 Currently Berthed Vessels
      GET
    • 2.3 Currently Anchored Vessels
      GET
    • 2.4 Inbound / Expected Arrivals
      GET
  • 3 History Dataset
    • 3.1 Vessel History Track
      GET
    • 3.2 Ship-to-Ship (STS) Events
      GET
    • 3.3 Vessel Port Call History
      GET
    • 3.4 Vessel Port Call Records at Specific Port
      GET
    • 3.5 Vessel Current Port Call
      GET
    • 3.6 Port Calls Records for Port
      GET
  • 4 Prediction Dataset
    • 4.1 Point-to-Point Route Planning
      GET
    • 4.2 Port-to-Port Route Planning
      GET
    • 4.3 ETA Query
      GET
  • 5 Meteorology Dataset
    • 5.1 Global Tropical Cyclone
      • 5.1.1 Global Tropical Cyclones List
      • 5.1.2 Tropical Cyclone Details by Point
    • 5.2 Global Port Tide Predictions
      • 5.2.1 Request parameters for Global Tide Gauge Stations List
      • 5.2.2 Query Single Tide Gauge Station Details
    • 5.3 Global Marine Weather
      GET
  • 6 China Region Coastline Warning Dataset
    • 6.1 China Region Navigational Warnings
      GET
  • 7 Event Dataset
    • 7.1 Monitored Fleet Management
      • 7.1.1 Create Fleet
      • 7.1.2 Update Fleet Information
      • 7.1.3 Query Fleet
      • 7.1.4 Delete Fleet
      • 7.1.5 Add Vessels to Fleet
      • 7.1.6 Batch Update Vessels in Fleet
      • 7.1.7 Remove Vessels from Fleet
    • 7.2 Geofence Monitoring Push
      • 7.2.1 Geofence Creation
      • 7.2.2 Geofence Update
      • 7.2.3 Geofence Query
      • 7.2.4 Geofence Deletion
      • 7.2.5 Geofence Monitoring Push
    • 7.3 Vessel Speed Alert Push
      • 7.3.1 Add Vessel Speed Alert Subscription
      • 7.3.2 Delete Vessel Speed Alert Subscription
      • 7.3.3 Query Vessel Speed Alert Subscription List
      • 7.3.4 Vessel Speed Anomaly Push
    • 7.4 Real-time Vessel Position Push
      POST
    • 7.5 Arrival/Departure Event Push
      POST
    • 7.6 Vessel Dynamic ETA Push
      POST
    • 7.7 Vessel AIS Signal Loss Event Push
      POST
    • 7.8 Vessel STS Event Push
      POST
  • Appendix
    • Vessel Type Comparison Table
    • Service Return Code
    • Sea Area Reference Table
    • Navigation Status Comparison Table
    • Deviation Node List
    • Aids to Navigation (AtoN) Type Table
  1. 3 History Dataset

3.2 Ship-to-Ship (STS) Events

GET
https://api.elaneglobal.com/v1/History/VesselStsEvents

Description#

The Ship-to-Ship (STS) Events queries whether a specified vessel has had ship-to-ship (STS) operations within a specified time period. If STS events are detected, it will return details of the paired vessel, as well as the STS position, coordinates, start time and end time of the event.

Applicable Scenarios#

Freight Logistics
1.
Normal STS Transshipment
Monitor the cargo transfer flow where large vessels transship cargo to small crafts via STS operations. Track and analyze each phase of cargo circulation by combining the small craft details and their subsequent port berthing records.
2.
Cargo Theft Monitoring
For non-transshipment scenarios, STS events detected during vessel navigation will trigger key monitoring for potential cargo theft. Determine whether small crafts are involved in cargo theft at the time of the STS event by integrating CCTV and other monitoring tools.
Maritime Supervision
Vessel Behavior Analysis
Maritime regulatory authorities can use vessel STS records to analyze vessel behavior patterns, and identify unauthorized STS operations as abnormal behaviors by combining other comprehensive datasets.

Request Limits#

This is a premium service that requires advanced permission application prior to use.
An API key must be created before using this service.
Service calls are subject to quota restrictions according to your permission type.To view your current service access permissions or activate service permissions, please contact our support team: support@elaneglobal.com.

Endpoint#

EndpointHTTP Method
https://api.elaneglobal.com/v1/History/VesselStsEventsGet

Example API Call#

https://api.elaneglobal.com/v1/History/VesselStsEvents?key=1F6D701272402D1E7D8D316CCE519123&mmsi=477172700&start_time=1749956794&end_time=1751446602&approach_zone=3
Note:
The key 1F6D701272402D1E7D8D316CCE519123 is the official key of elaneglobal.com, bound to the domain api.elaneglobal.com.
Users are not authorized to use this key for data access—utilizing it will return a status code 14, indicating an error in the source domain.
To trial the service, please contact our support team: support@elaneglobal.com.

Request

Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.elaneglobal.com/v1/History/VesselStsEvents?key=1F6D701272402D1E7D8D316CCE519123&mmsi=477172700&start_time=1749956794&end_time=1751446602&approach_zone=3'

Responses

⚪0success
application/json
Body

Example
{
    "status": 0,
    "msg": "",
    "data": {
        "ship_data": {
            "mmsi": 477172700,
            "imo": 9783538,
            "call_sign": "VRRV4",
            "ship_name": "COSCO SHIPPING LIBRA",
            "ship_type": 70
        },
        "approach_data": [
            {
                "approach_ship": {
                    "mmsi": 477947300,
                    "imo": 9493107,
                    "call_sign": "VRKQ6",
                    "ship_name": "CSB HERALD",
                    "ship_type": 70
                },
                "approach_event": {
                    "approach_time": 1751260066,
                    "separation_time": 1751260429,
                    "duration": 6.05,
                    "approach_zone": 3,
                    "lat": 31.372347,
                    "lng": 121.689075,
                    "port_code": "",
                    "sog": 1.75
                }
            },
            {
                "approach_ship": {
                    "mmsi": 413372190,
                    "imo": 1400704,
                    "call_sign": "BPPZ",
                    "ship_name": "ZHONG HAI TUO 3",
                    "ship_type": 52
                },
                "approach_event": {
                    "approach_time": 1751260138,
                    "separation_time": 1751262848,
                    "duration": 45.17,
                    "approach_zone": 3,
                    "lat": 31.372347,
                    "lng": 121.689075,
                    "port_code": "",
                    "sog": 0.82
                }
            },
            {
                "approach_ship": {
                    "mmsi": 413377870,
                    "imo": 1400704,
                    "call_sign": "BPQJ",
                    "ship_name": "ZHONG HAI TUO 7",
                    "ship_type": 52
                },
                "approach_event": {
                    "approach_time": 1751260161,
                    "separation_time": 1751260467,
                    "duration": 5.1,
                    "approach_zone": 3,
                    "lat": 31.372347,
                    "lng": 121.689075,
                    "port_code": "",
                    "sog": 1.75
                }
            }
        ]
    }
}
Previous
3.1 Vessel History Track
Next
3.3 Vessel Port Call History
Built with